/* acconfig.h
   This file is in the public domain.

   Descriptive text for the C preprocessor macros that
   the distributed Autoconf macros can define.
   No software package will use all of them; autoheader copies the ones
   your configure.in uses into your configuration header file templates.

   The entries are in sort -df order: alphabetical, case insensitive,
   ignoring punctuation (such as underscores).  Although this order
   can split up related entries, it makes it easier to check whether
   a given entry is in the file.

   Leave the following blank line there!!  Autoheader needs it.  */


/* Define if you have the sigsetjmp function.  */
#undef HAVE_SIGSETJMP

/* Define if you have the siglongjmp function.  */
#undef HAVE_SIGLONGJMP

/* Define this to a statement that returns from signals */
#define RETSIG return

/* Define this to the value of st_rdev for /dev/null */
#undef DEV_NULL_RDEV

/* Define this if you have getopt_long */
#undef HAVE_GETOPT_LONG

/* Define this to preserve suid bit on ps */
#undef PS_KEEPSUID

/* Define this to kill suid bit on ps */
#undef PS_KILLSUID

/* Define this to preserve sgid bit on ps */
#undef PS_KEEPSGID

/* Define this to kill sgid bit on ps */
#undef PS_KILLSGID

/* Define this if you have a process detail reading function for your OS */
#undef CPS_OS_RD_STAT

/* Define this to be a /proc/<pid> st_mode & S_IFMT value (if using proc fs) */
#undef CPS_PROC_PIDFMT

/* Define this is snprintf ignores n */
#undef HAVE_SNPRINTF_BUG

/* Define this if snprintf does not write a \0 */
#undef HAVE_SNPRINTF_UNTERM

/* Define this is vsnprintf ignores n */
#undef HAVE_VSNPRINTF_BUG

/* Define this if vsnprintf does not write a \0 */
#undef HAVE_VSNPRINTF_UNTERM

/* Define this is mkdir of a symlink does not fail with EEXIST */
#undef HAVE_SYMLINK_MKDIR_ERRNO_BUG

/* Define this is mkdir of a symlink pointing nowhere makes the destination */
#undef HAVE_SYMLINK_MKDIR_SECURITY_HOLE

/* Define this is open with O_CREAT of a symlink does not fail with EEXIST */
#undef HAVE_SYMLINK_OPEN_ERRNO_BUG

/* Define this is open with O_CREAT of a symlink pointing nowhere makes the
 * destination (/.rhosts, /etc/passwd, etc are popular destinations) */
#undef HAVE_SYMLINK_OPEN_SECURITY_HOLE

/* Define this is symlinks can reach files in unreadble directories */
#undef HAVE_SYMLINK_PERMS_BYPASS_FILE_HOLE

/* Define this is symlinks can reach files in subdirectories of unreadble
 * directories */
#undef HAVE_SYMLINK_PERMS_BYPASS_DIR_HOLE

/* Define this you have statfs(2) */
#undef HAVE_STATFS

/* Define this you have fstatfs(2) */
#undef HAVE_FSTATFS

/* Define this if you have struct statfs */
#undef HAVE_STRUCT_STATFS

/* Define this if stafs works (that is proc filing systems gives a different
 * answer from normal ones). */
#undef STATFS_WORKS

/* Define this as the f_type field of the proc filing system */
#undef CPS_PROC_FS_TYPE

/* Define this if you ps database scanning code (not done yet) */
#undef HAVE_PSDB_CHECK

/* Define this if you have kill scanning code */
#undef HAVE_PKILL_CHECK

/* Define this if you have the /proc scanning code */
#undef HAVE_PROC_CHECK

/* Define this for debuggng */
#undef DEBUG

/* Define this if you have process limit */
#undef HAVE_RLIMIT_NPROC

/* Define this if you have memlock limit */
#undef HAVE_RLIMIT_MEMLOCK


/* Leave that blank line there!!  Autoheader needs it.
   If you're adding to this file, keep in mind:
   The entries are in sort -df order: alphabetical, case insensitive,
   ignoring punctuation (such as underscores).  */
