/* $Id: catch_child.c,v 1.2 2000/10/10 22:10:44 dps Exp $ */

#ifdef HAVE_CONFIG_H
#include "../config.h"
#endif /* HAVE_CONFIG_H */
#ifdef HAVE_SYS_TYPES_H
#include <sys/types.h>
#endif /* HAVE_SYS_TYPES_H */
#ifdef HAVE_SYS_WAIT_H
#include <sys/wait.h>
#endif /* HAVE_SYS_WAIT_H */
#include "../prog.h"
#include "detail.h"

const char *sexec_child_name="<unset>";

/* Child catcher */
static RETSIGTYPE sexec_catch_child(int sig)
{
    int status;
    pid_t pid;

    sig=sig;
    pid=wait(&status);
    if (WIFSTOPPED(status))
    {
	loh("child %s unsuspended (stopped by sig %d)", sexec_child_name,
	    WSTOPSIG(status));
	kill(pid, SIGCONT);     /* Stop crackers stoping the ps process */
                               /* (major paranoia) */
    }
    else if (WIFEXITED(status))
    {
	if (WEXITSTATUS(status)!=0)
	    log("%s exited with status %d", sexec_child_name, WEXITSTATUS(status));
    }
    else
    {
	log("%s termintated with signal %d", sexec_child_name,  WTERMSIG(status));
    }
    return;
}
