/* $Id$ */
/* Macros to hide system differences in safexec() */

#ifndef ___SAFEEXEC_PIRV_H___
#define ___SAFEEXEC_PIRV_H___ 1

/* Become user */
#if defined(HAVE_SETRESUID)
#define become_uid(U) setresuid(U, U, U)       
#elif defined(HAVE_SETREUID)
#define become_uid(U) setreuid(U, U)
#elif defined(HAVE_SETUID)
#define become_uid(U) setuid(U)
#else
#error I need setresuid, setreuid or setuid
#endif

/* Become group */
#if defined(HAVE_SETRESGID)
#define become_gid(U) setresgid(U, U, U)       
#elif defined(HAVE_SETREGID)
#define become_gid(U) setregid(U, U)
#elif defined(HAVE_SETGID)
#define become_gid(U) setgid(U)
#else
#error I need setreguid, setregid or setgid
#endif

/* setgroups elimination macro */
#ifndef HAVE_SETGROUPS
#defined setgroups(X,Y) 1
#endif /* not HAVE_SETGROUPS */

/* lstat->stat macro */
#ifndef HAVE_LSTAT
#define lstat(X,Y) stat(X,Y)
#endif /* not HAVE_LSTAT */

/* Define setuid and setgid detction masks
 * To keep either set the maks to 0 */
#ifdef KILLSUID
#define SUID_MASK S_ISUID
#else
#define SUID_MASK 0
#endif

#ifdef KILLSGID
#define SGID_MASK S_ISGID
#else
#define SGID_MASK 0
#endif

#endif /* ___SAFEEXEC_PRIV_H___ */
