/* $Id: signals.c,v 1.2 2000/10/10 22:10:43 dps Exp $ */
/* Dumb code to ignore all signals that can be ignore */

#define _POSIX_SOURCE 1

#ifdef HAVE_CONFIG_H
#include "config.h"
#endif /* HAVE_CONFIG_H */
#ifdef HAVE_STDLIB_H
#include <stdlib.h>
#endif /* HAVE_STDLIB_H */
#ifdef HAVE_SIGNAL_H
#include <signal.h>
#endif /* HAVE_SIGNAL_H */

#ifdef HAVE_SIGACTION
struct sigaction fix;
#endif /* HAVE_SIGACTION */

static RETSIGTYPE logsig(int sig)
{
#ifdef HAVE_SIGACTION
    sigaction(sig, &fix, NULL);
#else
    signal(sig, logsig);
#endif /* HAVE_SIGACTION */ 
    log("Ignoring signal %d", sig);
    RETSIG;
}

#ifdef HAVE_SIGACTION
/* turn off signals */
void ignore_signals(void)
{
    int i;
    
    fix.sa_handler=logsig;
    sigfillset(&(fix.sa_mask));
    fix.sa_flags=0;

    i=1;
    while(1)
    {
	if (i!=SIGKILL && i!=SIGSTOP)
	{
	    if (sigaction(i, &fix, NULL)==-1)
		break;
	}
	i++;
    }
}
#else
/* turn off signals */
void ignore_signals(void)
{
    int i;

    i=1;
    while(1)
    {
	if (i!=SIGKILL && i!=SIGSTOP)
	{
	    if (signal(i, logsig)==SIG_ERR)
		break;
	i++;
	}
    }
}

#endif /* HAVE_SIGACTION */
